QGIS Application - Bug report #13577
Impossible to choose current date in form with date widget
2015-10-12 07:16 AM - Amelie Mesnard

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21619

Description

Hello,

I'm working with Qgis 2.8

| define these options for a date field :

- editable

- format : date and time

- display : customized (dd/MM/yyyy), calendar and allow null values

And with these options, in editing mode, | can’t choose directly the current date. | had to choose an another day and then come back to
the current day.

| don't think that is a normal behavior.

Thanks.

A. Mesnard

History

#1 - 2015-10-12 10:18 AM - Anita Graser
- Target version set to Future Release - Lower Priority

- Affected QGIS version changed from 2.8.1 to master

| can confirm this in 2.8.3 and master: the current date is highlighted when the calendar opens. Clicking on it does not write the date into the date field. Any
other date can be selected just fine.

#2 - 2015-10-12 10:19 AM - Anita Graser

- Subject changed from Choose current date to Impossible to choose current date in form with date widget
#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-09-21 10:23 AM - Denis Rouzaud

- Assignee set to Denis Rouzaud

- Description updated

#5 - 2017-09-21 10:24 AM - Denis Rouzaud
#6 - 2018-01-04 09:45 PM - Denis Rouzaud
- Status changed from Open to Closed

fixed

#7 - 2018-02-22 11:39 AM - Giovanni Manghi
- Resolution set to fixed/implemented
